library ieee;
use ieee.std_logic_1164.all;

entity tb_mcm is
end tb_mcm;

architecture tb of tb_mcm is
    
    component mcmb is
    port ( a,b : in integer;
           nw : in std_logic;
           clk : in std_logic;
           ris: out integer;
           ready : out std_logic
           );
end component;

signal a,b, ris : integer := 0;
signal nw, clk, ready : std_logic;

begin
    
    du: mcmb port map (a,b ,nw, clk, ris, ready);
    
    a <= 3 after 0 ns, 4 after 200 ns;
    
    b <= 2 after 0 ns, 3 after 230 ns;
    
    nw <= '1' after 0 ns, '0' after 10 ns, '1' after 240 ns, '0' after 250 ns;
    
    process
        begin
         clk <= '0';
         wait for 10 ns;
         clk <= '1';
         wait for 10 ns;
       end process;  
  end tb;     